"use strict"

module.exports = {
    rules: {
        "vue/array-bracket-spacing": ["error", "never"],
        "vue/arrow-spacing": [
            "error",
            {
                before: true,
                after: true,
            },
        ],
        "vue/block-spacing": ["error", "always"],
        "vue/brace-style": [
            "error",
            "1tbs",
            {
                allowSingleLine: true,
            },
        ],
        "vue/camelcase": [
            "error",
            {
                allow: ["^UNSAFE_"],
                properties: "never",
                ignoreGlobals: true,
            },
        ],
        "vue/comma-dangle": [
            "error",
            {
                arrays: "never",
                objects: "never",
                imports: "never",
                exports: "never",
                functions: "never",
            },
        ],
        "vue/comma-spacing": [
            "error",
            {
                before: false,
                after: true,
            },
        ],
        "vue/comma-style": ["error", "last"],
        "vue/dot-location": ["error", "property"],
        "vue/dot-notation": [
            "error",
            {
                allowKeywords: true,
            },
        ],
        "vue/eqeqeq": [
            "error",
            "always",
            {
                null: "ignore",
            },
        ],
        "vue/func-call-spacing": ["error", "never"],
        "vue/key-spacing": [
            "error",
            {
                beforeColon: false,
                afterColon: true,
            },
        ],
        "vue/keyword-spacing": [
            "error",
            {
                before: true,
                after: true,
            },
        ],
        "vue/no-empty-pattern": "error",
        "vue/no-extra-parens": ["error", "functions"],
        "vue/no-irregular-whitespace": "error",
        "vue/no-multi-spaces": "error",
        "vue/no-sparse-arrays": "error",
        "vue/no-unused-vars": "error",
        "vue/object-curly-newline": [
            "error",
            {
                multiline: true,
                consistent: true,
            },
        ],
        "vue/object-curly-spacing": ["error", "always"],
        "vue/object-property-newline": [
            "error",
            {
                allowMultiplePropertiesPerLine: true,
            },
        ],
        "vue/operator-linebreak": [
            "error",
            "after",
            {
                overrides: {
                    "?": "before",
                    ":": "before",
                    "|>": "before",
                },
            },
        ],
        "vue/space-in-parens": ["error", "never"],
        "vue/space-infix-ops": "error",
        "vue/space-unary-ops": [
            "error",
            {
                words: true,
                nonwords: false,
            },
        ],
        "vue/template-curly-spacing": ["error", "never"],
    },
}
